Subject: bug#28310: closed (Re: bug#28310: guix build -n misses package builds)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Sep 2017 12:44:01 +0000

Your bug report

#28310: Grafting prevents build plan from being displayed upfront

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28310: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28310
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28310: guix build -n misses package builds
From: Andreas Enge <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Sep 2017 14:42:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Sep 02, 2017 at 01:08:12AM +0200, Ludovic Courtès wrote:
> “-n” now implies “--no-grafts” (commit
> fd59105c49965db956fac73c68d8b00d068f5d5c).  This was motivated by the
> need to have -n really perform a dry run.
> 
> The downside is that with -n we now see only half of the build plan, and
> when we remove -n, we start with the other half of the build plan,
> grafting.
> 
> The “build continuation” idea of ‘wip-gexp-grafts’, discussed in
> <https://bugs.gnu.org/22990>, could in theory help with that.

Okay, so to simplify, I am closing this bug report.

Andreas

Subject: guix build -n misses package builds
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Thu, 31 Aug 2017 21:03:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am right now in the process of updating pari-gp to version 2.9.3.
After building it on a git check-out of three days ago, which went smoothly,
I rebased my patch on today's master and was pleased to see that no rebuild
was needed:

$ ./pre-inst-env guix build pari-gp -n
outputs nothing.

However, once the -n dropped, the gd package gets built.
And then it is starting ruby, which has no connection to pari-gp:
Downloading https://mirror.hydra.gnu.org/guix/nar/229n3pzp5bdmbdvwslg0dxliysas92k5-ruby-2.4.1.tar.xz...
   ruby-2.4.1.tar.xz  9.5MiB                                                                                                       22KiB/s 00:06 [                    ]   1.3%^

Andreas